Subject: Re: (Re: gitweb not friendly to firefox?) and unusable in the lynx

From: Jakub Narebski <[email-masked]>
Date: Sat, 3 Mar 2007 03:57:18 +0100

Oleg Verych wrote:
>> From: Junio C Hamano
>> Newsgroups: gmane.comp.version-control.git
>> Subject: Re: gitweb not friendly to firefox?
>> Date: Fri, 02 Mar 2007 02:17:31 -0800
>[]
>>
>> This is puzzling....
> 
> Guys, changing content to "application/xhtml+xml" was a bad idea.
> Here i see FF doesn't working, but i have lynx not working at all :(
> 
> "text/html" is OK, unless you have shiny modern AJAX sh1t on board...

Well, change from text/html to (sometimes) application/xhtml+xml was
made in commit f6801d669 by Alp Toker with the following explanation:

    "The 'text/html' media type [RFC2854] is primarily for HTML, not for
    XHTML. In general, this media type is NOT suitable for XHTML."
    
    This patch makes gitweb use content negotiation to conservatively send
    pages as Content-Type 'application/xhtml+xml' when the user agent
    explicitly claims to support it.

By "conservatively" it means that it uses 'application/xhtml+xml' only when
client explicitly claims that it accepts its, and it is not due to for
example */* accept globbing.

So if lynx isn't working, it is its damn fault...
-- 
Jakub Narebski
Poland